#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, MT, MT2, MH, MH2;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4,k5;

#define DoColor "0"

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor8),Dir2,Dir4)*SUNT(Glu8,Col2,Col4)*-i_*GS**2*SUNSum(Glu99,8)*(SUNF(Glu1,Glu3,Glu99)*SUNF(Glu6,Glu9,Glu99)*(d_(Lor1,Lor6)*d_(Lor3,Lor9)-d_(Lor1,Lor9)*d_(Lor3,Lor6))+SUNF(Glu1,Glu6,Glu99)*SUNF(Glu3,Glu9,Glu99)*(d_(Lor1,Lor3)*d_(Lor6,Lor9)-d_(Lor1,Lor9)*d_(Lor6,Lor3))+SUNF(Glu1,Glu9,Glu99)*SUNF(Glu3,Glu6,Glu99)*(d_(Lor1,Lor3)*d_(Lor9,Lor6)-d_(Lor1,Lor6)*d_(Lor9,Lor3)))*-i_*Den(k3+k4,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8);
Local Diag2 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu3,Glu8)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor8)+d_(Lor3,Lor8)*mom(k2-(-k1-k2),Lor1)+d_(Lor8,Lor1)*mom(-k1-k2-(k1),Lor3) )*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu6,Glu9,Glu11)*(d_(Lor6,Lor9)*mom(-k5-(k1+k2),Lor11)+d_(Lor9,Lor11)*mom(k1+k2-(-k3-k4),Lor6)+d_(Lor11,Lor6)*mom(-k3-k4-(-k5),Lor9) )*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag3 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu3,Glu8)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor8)+d_(Lor3,Lor8)*mom(k2-(-k1-k2),Lor1)+d_(Lor8,Lor1)*mom(-k1-k2-(k1),Lor3) )*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu3,Glu8)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor8)+d_(Lor3,Lor8)*mom(k2-(-k1-k2),Lor1)+d_(Lor8,Lor1)*mom(-k1-k2-(k1),Lor3) )*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag5 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir2,Dir8)*SUNT(Glu1,Col2,Col8)*i_*GS*dirM(g(iM,Lor3),Dir11,Dir4)*SUNT(Glu3,Col11,Col4)*i_*GS*dirM(g(iM,Lor6),Dir9,Dir10)*SUNT(Glu6,Col9,Col10)*i_*Den(-k1+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k1+k3)+MT*g(iM),Dir8,Dir9)*i_*Den(k2-k4,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k2-k4)+MT*g(iM),Dir10,Dir11);
Local Diag6 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir2,Dir8)*SUNT(Glu1,Col2,Col8)*-GS*SUNF(Glu3,Glu6,Glu10)*(d_(Lor3,Lor6)*mom(k2-(-k5),Lor10)+d_(Lor6,Lor10)*mom(-k5-(-k2+k5),Lor3)+d_(Lor10,Lor3)*mom(-k2+k5-(k2),Lor6) )*i_*GS*dirM(g(iM,Lor11),Dir9,Dir4)*SUNT(Glu11,Col9,Col4)*i_*Den(-k1+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k1+k3)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag7 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir2,Dir8)*SUNT(Glu1,Col2,Col8)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor3),Dir9,Dir10)*SUNT(Glu3,Col9,Col10)*i_*Den(-k1+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k1+k3)+MT*g(iM),Dir8,Dir9)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag8 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir9,Dir4)*SUNT(Glu1,Col9,Col4)*i_*GS*dirM(g(iM,Lor3),Dir2,Dir10)*SUNT(Glu3,Col2,Col10)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir8)*SUNT(Glu6,Col11,Col8)*i_*Den(k1-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k4)+MT*g(iM),Dir8,Dir9)*i_*Den(-k2+k3,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k2+k3)+MT*g(iM),Dir10,Dir11);
Local Diag9 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir9,Dir4)*SUNT(Glu1,Col9,Col4)*-GS*SUNF(Glu3,Glu6,Glu10)*(d_(Lor3,Lor6)*mom(k2-(-k5),Lor10)+d_(Lor6,Lor10)*mom(-k5-(-k2+k5),Lor3)+d_(Lor10,Lor3)*mom(-k2+k5-(k2),Lor6) )*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*Den(k1-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k4)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag10 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor1),Dir9,Dir4)*SUNT(Glu1,Col9,Col4)*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor3),Dir11,Dir8)*SUNT(Glu3,Col11,Col8)*i_*Den(k1-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k4)+MT*g(iM),Dir8,Dir9)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag11 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu6,Glu8)*(d_(Lor1,Lor6)*mom(k1-(-k5),Lor8)+d_(Lor6,Lor8)*mom(-k5-(-k1+k5),Lor1)+d_(Lor8,Lor1)*mom(-k1+k5-(k1),Lor6) )*i_*GS*dirM(g(iM,Lor3),Dir2,Dir10)*SUNT(Glu3,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k2+k3,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k2+k3)+MT*g(iM),Dir10,Dir11);
Local Diag12 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu6,Glu8)*(d_(Lor1,Lor6)*mom(k1-(-k5),Lor8)+d_(Lor6,Lor8)*mom(-k5-(-k1+k5),Lor1)+d_(Lor8,Lor1)*mom(-k1+k5-(k1),Lor6) )*i_*GS*dirM(g(iM,Lor3),Dir11,Dir4)*SUNT(Glu3,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k2-k4,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k2-k4)+MT*g(iM),Dir10,Dir11);
Local Diag13 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu1,Glu6,Glu8)*(d_(Lor1,Lor6)*mom(k1-(-k5),Lor8)+d_(Lor6,Lor8)*mom(-k5-(-k1+k5),Lor1)+d_(Lor8,Lor1)*mom(-k1+k5-(k1),Lor6) )*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu3,Glu9,Glu11)*(d_(Lor3,Lor9)*mom(k2-(k1-k5),Lor11)+d_(Lor9,Lor11)*mom(k1-k5-(-k3-k4),Lor3)+d_(Lor11,Lor3)*mom(-k3-k4-(k2),Lor9) )*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag14 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor3),Dir2,Dir8)*SUNT(Glu3,Col2,Col8)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor1),Dir9,Dir10)*SUNT(Glu1,Col9,Col10)*i_*Den(-k2+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k2+k3)+MT*g(iM),Dir8,Dir9)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag15 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*i_*GS*dirM(g(iM,Lor3),Dir9,Dir4)*SUNT(Glu3,Col9,Col4)*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor1),Dir11,Dir8)*SUNT(Glu1,Col11,Col8)*i_*Den(k2-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k2-k4)+MT*g(iM),Dir8,Dir9)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag16 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*-GS*SUNF(Glu3,Glu6,Glu8)*(d_(Lor3,Lor6)*mom(k2-(-k5),Lor8)+d_(Lor6,Lor8)*mom(-k5-(-k2+k5),Lor3)+d_(Lor8,Lor3)*mom(-k2+k5-(k2),Lor6) )*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu1,Glu9,Glu11)*(d_(Lor1,Lor9)*mom(k1-(k2-k5),Lor11)+d_(Lor9,Lor11)*mom(k2-k5-(-k3-k4),Lor1)+d_(Lor11,Lor1)*mom(-k3-k4-(k1),Lor9) )*-i_*Den(-k2+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5+Diag6+Diag7+Diag8+Diag9+Diag10+Diag11+Diag12+Diag13+Diag14+Diag15+Diag16;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M1);
 .sort
Local Diag1 =
+1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu1,Glu3)*mom(k2,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu6,Glu9,Glu11)*(d_(Lor6,Lor9)*mom(-k5-(k1+k2),Lor11)+d_(Lor9,Lor11)*mom(k1+k2-(-k3-k4),Lor6)+d_(Lor11,Lor6)*mom(-k3-k4-(-k5),Lor9) )*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
-1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu1,Glu3)*mom(k2,Lor8)*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag3 =
-1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu1,Glu3)*mom(k2,Lor8)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
-1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu6,Glu1,Glu9)*mom(-k1+k5,Lor6)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu3)*mom(k2,Lor11)*i_*Den(k1-k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
-1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu6,Glu8,Glu3)*mom(k2,Lor6)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu1,Glu9)*mom(k2-k5,Lor11)*i_*Den(-k2+k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M2);
 .sort
Local Diag1 =
-1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu3,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu6,Glu9,Glu11)*(d_(Lor6,Lor9)*mom(-k5-(k1+k2),Lor11)+d_(Lor9,Lor11)*mom(k1+k2-(-k3-k4),Lor6)+d_(Lor11,Lor6)*mom(-k3-k4-(-k5),Lor9) )*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
+1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu3,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor6),Dir2,Dir10)*SUNT(Glu6,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag3 =
+1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu8,Glu3,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor6),Dir11,Dir4)*SUNT(Glu6,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
+1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu6,Glu8,Glu1)*mom(k1,Lor6)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu3,Glu9)*mom(k1-k5,Lor11)*i_*Den(-k1+k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
+1*1*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*pol(k5,Lor6)*GS*SUNF(Glu6,Glu3,Glu9)*mom(-k2+k5,Lor6)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu1)*mom(k1,Lor11)*i_*Den(k2-k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M3);
 .sort
Local Diag1 =
-1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu3,Glu1,Glu9)*mom(-k1-k2,Lor3)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu6)*mom(-k5,Lor11)*i_*Den(k1+k2,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
-1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu1,Glu6)*mom(-k5,Lor8)*i_*GS*dirM(g(iM,Lor3),Dir2,Dir10)*SUNT(Glu3,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k2+k3,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k2+k3)+MT*g(iM),Dir10,Dir11);
Local Diag3 =
-1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu1,Glu6)*mom(-k5,Lor8)*i_*GS*dirM(g(iM,Lor3),Dir11,Dir4)*SUNT(Glu3,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k2-k4,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k2-k4)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
+1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu1,Glu6)*mom(-k5,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu3,Glu9,Glu11)*(d_(Lor3,Lor9)*mom(k2-(k1-k5),Lor11)+d_(Lor9,Lor11)*mom(k1-k5-(-k3-k4),Lor3)+d_(Lor11,Lor3)*mom(-k3-k4-(k2),Lor9) )*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
-1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu3,Glu8,Glu6)*mom(-k5,Lor3)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu1,Glu9)*mom(k2-k5,Lor11)*i_*Den(-k2+k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M4);
 .sort
Local Diag1 =
+1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu3,Glu8,Glu1)*mom(k1,Lor3)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu6,Glu9)*mom(k1+k2,Lor11)*i_*Den(-k1-k2,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
+1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu6,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor3),Dir2,Dir10)*SUNT(Glu3,Col2,Col10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k2+k3,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k2+k3)+MT*g(iM),Dir10,Dir11);
Local Diag3 =
+1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu6,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor3),Dir11,Dir4)*SUNT(Glu3,Col11,Col4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k2-k4,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k2-k4)+MT*g(iM),Dir10,Dir11);
Local Diag4 =
-1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu6,Glu1)*mom(k1,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu3,Glu9,Glu11)*(d_(Lor3,Lor9)*mom(k2-(k1-k5),Lor11)+d_(Lor9,Lor11)*mom(k1-k5-(-k3-k4),Lor3)+d_(Lor11,Lor3)*mom(-k3-k4-(k2),Lor9) )*-i_*Den(-k1+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
+1*1*polc(k2,Lor3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu3,Glu6,Glu9)*mom(-k2+k5,Lor3)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu1)*mom(k1,Lor11)*i_*Den(k2-k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 11;
#call squareME(Amp,M5);
 .sort
Local Diag1 =
-1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu1,Glu3,Glu9)*mom(-k1-k2,Lor1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu6)*mom(-k5,Lor11)*i_*Den(k1+k2,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
-1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor1),Dir2,Dir8)*SUNT(Glu1,Col2,Col8)*GS*SUNF(Glu10,Glu3,Glu6)*mom(-k5,Lor10)*i_*GS*dirM(g(iM,Lor11),Dir9,Dir4)*SUNT(Glu11,Col9,Col4)*i_*Den(-k1+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k1+k3)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag3 =
-1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor1),Dir9,Dir4)*SUNT(Glu1,Col9,Col4)*GS*SUNF(Glu10,Glu3,Glu6)*mom(-k5,Lor10)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*Den(k1-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k4)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag4 =
-1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu1,Glu8,Glu6)*mom(-k5,Lor1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu3,Glu9)*mom(k1-k5,Lor11)*i_*Den(-k1+k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
+1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu3,Glu6)*mom(-k5,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu1,Glu9,Glu11)*(d_(Lor1,Lor9)*mom(k1-(k2-k5),Lor11)+d_(Lor9,Lor11)*mom(k2-k5-(-k3-k4),Lor1)+d_(Lor11,Lor1)*mom(-k3-k4-(k1),Lor9) )*-i_*Den(-k2+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 9;
#call squareME(Amp,M6);
 .sort
Local Diag1 =
+1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu1,Glu8,Glu3)*mom(k2,Lor1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu6,Glu9)*mom(k1+k2,Lor11)*i_*Den(-k1-k2,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag2 =
+1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor1),Dir2,Dir8)*SUNT(Glu1,Col2,Col8)*GS*SUNF(Glu10,Glu6,Glu3)*mom(k2,Lor10)*i_*GS*dirM(g(iM,Lor11),Dir9,Dir4)*SUNT(Glu11,Col9,Col4)*i_*Den(-k1+k3,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(-k1+k3)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag3 =
+1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor1),Dir9,Dir4)*SUNT(Glu1,Col9,Col4)*GS*SUNF(Glu10,Glu6,Glu3)*mom(k2,Lor10)*i_*GS*dirM(g(iM,Lor11),Dir2,Dir8)*SUNT(Glu11,Col2,Col8)*i_*Den(k1-k4,MT2)*d_(Col9,Col8)*SUNSum(Col8,3)*dirM(fslash(k1-k4)+MT*g(iM),Dir8,Dir9)*-i_*Den(-k2+k5,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag4 =
+1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu1,Glu6,Glu9)*mom(-k1+k5,Lor1)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*GS*SUNF(Glu11,Glu8,Glu3)*mom(k2,Lor11)*i_*Den(k1-k5,0)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);
Local Diag5 =
-1*polc(k1,Lor1)*1*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*GS*SUNF(Glu8,Glu6,Glu3)*mom(k2,Lor8)*i_*GS*dirM(g(iM,Lor10),Dir2,Dir4)*SUNT(Glu10,Col2,Col4)*-GS*SUNF(Glu1,Glu9,Glu11)*(d_(Lor1,Lor9)*mom(k1-(k2-k5),Lor11)+d_(Lor9,Lor11)*mom(k2-k5-(-k3-k4),Lor1)+d_(Lor11,Lor1)*mom(-k3-k4-(k1),Lor9) )*-i_*Den(-k2+k5,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*-i_*Den(k3+k4,0)*d_(Lor11,Lor10)*d_(Glu11,Glu10)*SUNSum(Glu10,8);

L Amp = +Diag1+Diag2+Diag3+Diag4+Diag5;

#$lomax = 11;
#$dimax = 9;
#call squareME(Amp,M7);
 .sort
L Result = M1-M2-M3-M4-M5-M6-M7;
.sort

Format nospaces;
#write <me.gg2tTg.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.gg2tTg.f> "      FUNCTION me_gg2tTg(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.gg2tTg.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.gg2tTg.f> "      REAL*8 me_gg2tTg"
#write <me.gg2tTg.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.gg2tTg.f> "%O"
#write <me.gg2tTg.f> "      me_gg2tTg = %e",Result(me_gg2tTg)
#write <me.gg2tTg.f> "      RETURN"
#write <me.gg2tTg.f> "      END"
.sort

.end
